Subject: Re: [mobile-ip] IPv6 advanced socket API extension for MIPv6

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 28 Feb 2003 17:51:02 -0800 (PST)

> 
> mip6.h more clearly identifies the file as being IPv6-related to me.
> Also, Icmpv6 is different in that it has no "next" header field,
> Mobility is more like Destination options since it's not restricted
> to being a final header (some day).
> 

But it has got 'checksum' like upper layer protocols which are also
looked up at the destination.

> > You mean I did not follow the order in MIPv6 base protocol draft ?
> > 
> > OK, we can change the ordering to match that.
> 
> Yes, it's an editorial nit.

Ok. will re-order.

> > It may be a good point in general for IPv6 routing header.
> > But the Routing header type 2 says that it must contain
> > only one address. Do we envision it to change ?
> 
> I know 2292-bis defines rthdr0 with just a comment there, I think
> this should follow that as someone might expand rthdr2 later (isn't
> there a draft on this?).

I am not aware of such draft. Would appreciate if someone sends a pointer.

> > > >   If the program likes to handle HOTI/HOT and COTI/COT message
> > > >   processing, it can do so by using IPv6 RAW Sockets for IPPROTO_MH.
> > >
> > > Why do you single-out these four messages?  The user process will see
> > > all messages.
> > >
> > 
> > Just for example. Yes the user process should be able to see the entire
> > messages carried by Mobility Header.
> 
> Can you add "For example," then?

Sure.

Thanks,
-Samita